# Development Standards

## Coding Conventions
- Follow PEP8 for Python code.
- Use descriptive variable and function names.
- Write clear, concise docstrings for all public functions and classes.

## Patterns
- Modular design: keep logic separated by responsibility.
- Use dependency injection where possible.
- Write tests for all new features and bug fixes.

## Documentation
- Update `.note/` files with every significant change.
- Log all key decisions in `decision_log.md`.
- Maintain up-to-date interfaces documentation.
